Package org.eclipse.m2m.atl.adt.ui.text

# Interface AtlHeuristicScanner.StopCondition

All Known Implementing Classes:
  `AtlHeuristicScanner.SkippingScopeMatch`

Enclosing class:
  AtlHeuristicScanner

public static interface AtlHeuristicScanner.StopCondition
Specifies the stop condition, upon which the `scanXXX` methods will decide whether to keep scanning or not. This interface may implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`stop(char ch, int position, boolean forward)`
Instructs the scanner to return the current position.

## Method Details

### stop

boolean stop(char ch, int position, boolean forward)
Instructs the scanner to return the current position.

Parameters:
  `ch` - the char at the current position
  `position` - the current position
  `forward` - the iteration direction
Returns:
  `true` if the stop condition is met.